---
lang: en
title: 'API docs: repository.isfilter'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.isfilter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [isFilter](./repository.isfilter.md)

## isFilter() function

TypeGuard for Filter

<b>Signature:</b>

```typescript
export declare function isFilter<MT extends object>(candidate: any): candidate is Filter<MT>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  candidate | <code>any</code> |  |

<b>Returns:</b>

`candidate is Filter<MT>`


